<?php

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $year = isset($_POST['year']) ? intval($_POST['year']) : null;
    $month = isset($_POST['month']) ? intval($_POST['month']) : null;
    $day = isset($_POST['day']) ? intval($_POST['day']) : null;

    if ($year && $month && $day) {
        $result = getTenChuSatsu($year, $month, $day);
        echo "<div class='result'>あなたの天中殺は<b>" . $result . "</b>です。</div>";
    } else {
        echo "<div class='error'>正しい生年月日を入力してください。</div>";
    }
}

function getTenChuSatsu($year, $month, $day) {
    $tenChuSatsuMap = [
        1 => "子丑天中殺",
        2 => "子丑天中殺",
        3 => "寅卯天中殺",
        4 => "寅卯天中殺",
        5 => "辰巳天中殺",
        6 => "辰巳天中殺",
        7 => "午未天中殺",
        8 => "午未天中殺",
        9 => "申酉天中殺",
        10 => "申酉天中殺",
        11 => "戌亥天中殺",
        12 => "戌亥天中殺"
    ];

    return $tenChuSatsuMap[$month];
}

?>

<!DOCTYPE html>
<html lang="ja">
<head>
    <meta charset="UTF-8">
    <title>天中殺診断ツール</title>
    <style>
        body {
            font-family: 'Arial', sans-serif;
            background-color: #f4f4f4;
            padding: 50px;
        }

        h2 {
            text-align: center;
            margin-bottom: 20px;
        }

        form {
            background-color: #fff;
            padding: 20px;
            border-radius: 5px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
        }

        label, input {
            margin-bottom: 10px;
        }

        input[type="number"] {
            padding: 5px;
            border: 1px solid #ccc;
            border-radius: 3px;
            width: 100%;
            box-sizing: border-box;
        }

        input[type="submit"] {
            background-color: #007BFF;
            color: #fff;
            padding: 10px 15px;
            border: none;
            border-radius: 3px;
            cursor: pointer;
            width: 100%;
        }

        input[type="submit"]:hover {
            background-color: #0056b3;
        }

        .result {
            color: green;
            font-weight: bold;
            margin-top: 20px;
        }

        .error {
            color: red;
            margin-top: 20px;
        }
    </style>
</head>
<body>
    <h2>天中殺診断ツール</h2>
    <p>生年月日を入力して、あなたの天中殺を知ろう！</p>
    <form action="" method="post">
        <label for="year">生年:</label>
        <input type="number" name="year" id="year" required>
        <label for="month">月:</label>
        <input type="number" name="month" id="month" min="1" max="12" required>
        <label for="day">日:</label>
        <input type="number" name="day" id="day" min="1" max="31" required>
        <input type="submit" value="診断する">
    </form>
</body>
</html>
